Get a prepared media asset

View as Markdown
Return the current lifecycle state of an asset owned by the authenticated application.

Authentication

AuthorizationBearer
Application auth. Send `Authorization: Bearer <app_uuid>:<api_key>` using any active key in the app's collection. See [Authentication](https://voice-platform.docs.buildwithfern.com/api/authentication) for details.

Path parameters

asset_idstringRequiredformat: "^[0-9a-f]{32}$"
Prepared media asset identifier.

Response

Current asset state
asset_idstringformat: "^[0-9a-f]{32}$"
created_atdatetime
statusenum
duration_msintegerOptional
expires_atdatetimeOptional
failure_reasonstringOptional
formatobjectOptional
size_bytesintegerOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error